
/**
 * Darstellung eines Fensters
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class FensterSymbol
{
    private Rechteck links;
    private Rechteck rechts;
    private Rechteck oben;
    private Rechteck unten;
    private Rechteck kreuzSenkrecht;
    private Rechteck kreuzWaagrecht;

    /**
     * Erzeugt das Fenstersymbol
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    FensterSymbol(int x, int y)
    {
        int höhe = 100;
        int breite = höhe;

        links = new Rechteck();
        GrafikWelt.dieWelt.addObject(links, 0, 0);
        links.GrößeSetzen(2, höhe);
        links.PositionSetzen(x, y);
        links.FarbeSetzen("braun");

        oben = new Rechteck();
        GrafikWelt.dieWelt.addObject(oben, 0, 0);
        oben.GrößeSetzen(breite, 2);
        oben.PositionSetzen(x, y);
        oben.FarbeSetzen("braun");

        unten = new Rechteck();
        GrafikWelt.dieWelt.addObject(unten, 0, 0);
        unten.GrößeSetzen(breite, 2);
        unten.PositionSetzen(x, y + höhe - 2);
        unten.FarbeSetzen("braun");

        rechts = new Rechteck();
        GrafikWelt.dieWelt.addObject(rechts, 0, 0);
        rechts.GrößeSetzen(2, höhe);
        rechts.PositionSetzen(x + breite - 2, y);
        rechts.FarbeSetzen("braun");

        kreuzSenkrecht = new Rechteck();
        GrafikWelt.dieWelt.addObject(kreuzSenkrecht, 0, 0);
        kreuzSenkrecht.GrößeSetzen(2, höhe);
        kreuzSenkrecht.PositionSetzen(x + breite / 2, y);
        kreuzSenkrecht.FarbeSetzen("braun");

        kreuzWaagrecht = new Rechteck();
        GrafikWelt.dieWelt.addObject(kreuzWaagrecht, 0, 0);
        kreuzWaagrecht.GrößeSetzen(breite, 2);
        kreuzWaagrecht.PositionSetzen(x, y + höhe / 2);
        kreuzWaagrecht.FarbeSetzen("braun");
    }
}
