
/**
 * Die Spielfigur, ein Stein
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class Stein extends Figur
{

    /**
     * Legt die Form des Steins fest
     */
    public Stein()
    {
        super();
        FigurteilFestlegenEllipse(-50, -50, 100, 100, "grau");
        GrafikWelt.dieWelt.addObject(this, 0, 0);
        PositionSetzen(25, 250);
    }

    /*
     * Die  Aktionsmethode für gedrückte Sondertasten.
     * @param taste KeyCode der gedrückten Taste
     */
    @Override void SonderTasteGedrückt (int taste)
    {
        switch (taste)
        {
            // Pfeil nach links
          case 37:
            WinkelSetzen(180);
            Gehen(10);
            break;
            // Pfeil nach oben
          case 38:
            WinkelSetzen(90);
            Gehen(10);
            break;
            // Pfeil nach rechts
          case 39:
            WinkelSetzen(0);
            Gehen(10);
            break;
            // Pfeil nach unten
          case 40:
            WinkelSetzen(270);
            Gehen(10);
            break;
        }
    }
}
