
/**
 * Der Hintergrund des Hauses
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class HintergrundSymbol
{

    /**
     * Legt die Wände, das Dach und die Beschriftung an.
     */
    HintergrundSymbol()
    {
        Dreieck dachlinks = new Dreieck();
        GrafikWelt.dieWelt.addObject(dachlinks, 0, 0);
        dachlinks.FarbeSetzen("rot");
        dachlinks.GrößeSetzen(550, 100);
        dachlinks.PositionSetzen(400, 0);
        Hausmauer unten = new Hausmauer(150, 500);
        unten.GrößeSetzen(500, 5);
        Hausmauer mitteWaagrecht = new Hausmauer(150, 300);
        mitteWaagrecht.GrößeSetzen(500, 5);
        Hausmauer oben = new Hausmauer(150, 100);
        oben.GrößeSetzen(500, 5);
        Hausmauer links = new Hausmauer(150, 100);
        links.GrößeSetzen(5, 400);
        Hausmauer rechts = new Hausmauer(645, 100);
        rechts.GrößeSetzen(5, 400);
        Hausmauer mitteSenkrecht = new Hausmauer(395, 100);
        mitteSenkrecht.GrößeSetzen(5, 400);
        new FensterSymbol(250, 125);
        new FensterSymbol(250, 325);
        new FensterSymbol(500, 125);
        new FensterSymbol(500, 325);

        Text wohnzimmer1 = new Text();
        GrafikWelt.dieWelt.addObject(wohnzimmer1, 0, 0);
        wohnzimmer1.TextSetzen("Wohnzimmer1");
        wohnzimmer1.FarbeSetzen("grau");
        wohnzimmer1.TextGrößeSetzen(15);
        wohnzimmer1.PositionSetzen(160, 120);

        Text wohnzimmer2 = new Text();
        GrafikWelt.dieWelt.addObject(wohnzimmer2, 0, 0);
        wohnzimmer2.TextSetzen("Wohnzimmer2");
        wohnzimmer2.FarbeSetzen("grau");
        wohnzimmer2.TextGrößeSetzen(15);
        wohnzimmer2.PositionSetzen(405, 120);

        Text küche = new Text();
        GrafikWelt.dieWelt.addObject(küche, 0, 0);
        küche.TextSetzen("Küche");
        küche.FarbeSetzen("grau");
        küche.TextGrößeSetzen(15);
        küche.PositionSetzen(160, 320);

        Text esszimmer = new Text();
        GrafikWelt.dieWelt.addObject(esszimmer, 0, 0);
        esszimmer.TextSetzen("Esszimmer");
        esszimmer.FarbeSetzen("grau");
        esszimmer.TextGrößeSetzen(15);
        esszimmer.PositionSetzen(405, 320);
    }
}
